VOS_SIZE(1)

NAME
vos_size - Computes the size of a volume dump

SYNOPSIS
vos size [-id] <volume name or id>
    [-partition <partition name>]
    [-server <machine name>]
    [-dump] [-time <dump from time>]
    [-cell <cell name>]
    [-noauth] [-localauth]
    [-verbose] [-encrypt] [-noresolve]
    [-config <config directory>]
    [-help]

vos si [-i] <volume name or id>
    [-p <partition name>]
    [-s <machine name>]
    [-d] [-t <dump from time>]
    [-c <cell name>]
    [-no] [-l]
    [-v] [-e] [-nor]
    [-co <config directory>]
    [-h]

DESCRIPTION
The vos size command shows the size of a volume's dump for backup purposes. The size of the dump may differ from the volume size as reported by vos examine or fs listquota. The size is shown in bytes.

This command is intended for use with backup systems that want to size volume dumps before performing them (to optimize use of tape resources, for example).

OPTIONS

-id <volume name or id>
    Specifies either the complete name or volume ID number of the read/write, read-only, or backup volume to size.

-partition <partition name>
    Specifies the partition on which the volume resides. Provide the -server argument along with this one.

-server <machine name>
    Specifies the file server machine on which the volume resides. Provide the -partition argument along with this one.

-dump
    Show the size of the volume dump for the specified volume. Currently, this flag should always be given for vos size to give useful information. It is present to allow this command to provide other size estimates in the future.

-time <dump from time>
    Specifies whether the dump is full or incremental. Omit this argument to size a full dump. See vos_dump(1) for the valid values for this option.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text. This option is available in OpenAFS versions 1.4.11 or later and 1.5.60 or later.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. This is very useful when the server address is registered as 127.0.0.1 or when dealing with multi-homed servers. This option is available in OpenAFS versions 1.4.8 or later and 1.5.35 or later.

-config <configuration directory>
    Set the location of the configuration directory to be used. This defaults to /usr/vice/etc, except if -localauth is specified, in which case the default is /usr/afs/etc. This option allows the use of alternative configuration locations for testing purposes.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
When run without -verbose, the output will be:

   Volume: <volume>
   dump_size: <size>

where <volume> is the name of the volume and <size> is the size of the dump in bytes. With -verbose, additional status messages will be printed between those two lines.

EXAMPLES
Sizing a single user volume:

   % vos size user.thoron -dump
   Volume: user.thoron
   dump_size: 36430

or, more verbosely:

   % vos size user.thoron -dump -verbose
   Volume: user.thoron
   Starting transaction on volume 2003434023... done
   Getting size of volume on volume 2003434023... done
   Ending transaction on volume 2003434023... done
   dump_size: 36430

Sizing an incremental dump for the same volume:

   % vos size -id user.thoron -time '05/04/2007 00:00:00' -dump
   Volume: user.thoron
   dump_size: 21095

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument or the machine on which the volume is located if -server was not given. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
fs_listquota(1), vos_dump(1), vos_examine(1)

COPYRIGHT
Copyright 2007 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jason Edgecombe for OpenAFS.